/*!@file
  \brief   Macros for printing unicode to streams
  \details Standardized method of handling unicodes in warnings, and errors
  \author  Jordan Lavatai
  \date    Aug 2016
  ----------------------------------------------------------------------------*/
/* u8 print macros */
#ifndef _PRINT_H_
#define _PRINT_H_
#include <unistdio.h>
#ifndef DEBUG
#define DEBUG 0
#endif
#define do_warn(...) do {			\
  } while (0)
#define wprintf(...) do {			\
    ulc_fprintf(stderr, __VA_ARGS__);	        \
    do_warn(__VA_ARGS__);			\
  } while (0)
#define do_error(...) do {			\
  } while (0)
#define eprintf(...) do {			\
    ulc_fprintf(stderr, __VA_ARGS__);	        \
    do_error(__VA_ARGS_);			\
  } while (0)
#define bprintf(_BOOL,...) do {		        \
    if (_BOOL)					\
      ulc_fprintf(stdout, __VA_ARGS__);	        \
  } while (0)
#define dprintf(...) do {			\
    bprintf(DEBUG, __VA_ARGS__);		\
  } while (0)
#endif
